Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global enable_tests 1

Name:           nodejs-passport-strategy
Version:        1.0.0
Release:        alt1_9
Summary:        An abstract class implementing Passport's strategy API

License:        MIT
URL:            https://github.com/jaredhanson/passport-strategy
Source0:        http://registry.npmjs.org/passport-strategy/-/passport-strategy-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated using Source10, which pulls from the upstream
# version control repository.
Source1:        passport-strategy-tests-v%{version}.tar.bz2
Source10:       passport-strategy-dl-tests.sh
BuildArch:      noarch

BuildRequires:  rpm-build-nodejs node-devel

%if 0%{?enable_tests}
BuildRequires:  npm(mocha)
BuildRequires:  npm(chai)
%endif
Source44: import.info

%description
This module exports an abstract Strategy class that is intended to be
subclassed when implementing concrete authentication strategies. Once
implemented, such strategies can be used by applications that utilize
Passport middleware for authentication.


%prep
%setup -q -n package
%setup -T -D -a 1 -q -n package
rm -rf node_modules


%build


%install
mkdir -p %{buildroot}/%{nodejs_sitelib}/passport-strategy
cp -pr package.json lib %{buildroot}/%{nodejs_sitelib}/passport-strategy
%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%{nodejs_sitelib}/mocha/bin/mocha --reporter spec --require test/bootstrap/node test/*.test.js
%endif


%files
%doc LICENSE README.md
%{nodejs_sitelib}/passport-strategy


%changelog
* Sun Mar 24 2019 Igor Vlasenko <viy@altlinux.ru> 1.0.0-alt1_9
- new version

* Fri Mar 22 2019 Igor Vlasenko <viy@altlinux.ru> 1.0.0-alt0.1.njs.bootstrap
- bootstrap

